Subject: bug#70368: [PATCH] Use a dedicated type to represent interpreted-function values

From: Michael Heerdegen <[email-masked]>
Date: Tue, 30 Apr 2024 17:02:36 +0200

Stefan Monnier <[email-masked]> writes:

> > Then hitting d in any Edebug recursive edit will pop up the
> > mentioned warning.
>
> And you're sure this did not occur before commit f2bccae22bd4?

No.

> In my test, the same warning appears in Emacs compiled just before
> commit f2bccae22bd4.

I guess you're right.  The warning had been added 03/24 this year, and I
guess I just did not use this stripping code since then or simply
ignored the warnings.  Because every minute I spend with recursive
debugging I age one additional month.

Michael.